<?php

namespace App\Filament\Resources\TeacherResource\Pages;

use App\Filament\Resources\TeacherResource;
use Filament\Resources\Pages\ListRecords;

class ListTeachers extends ListRecords
{
    protected static string $resource = TeacherResource::class;

    protected function getHeaderActions(): array
    {
        return [
            \Filament\Actions\CreateAction::make(),
        ];
    }

    public function getTitle(): string
    {
        return '教师管理';
    }

    public function getBreadcrumbs(): array
    {
        return [
            '#' => '师生管理',
            static::getResource()::getUrl('index') => '教师管理',
        ];
    }
}